Subject: RE: [Simple] WGLC: draft-ietf-simple-event-list-01.txt

From: "Drage, Keith (Keith)" <[email-masked]>
Date: Thu, 8 May 2003 10:26:52 +0100

So if I understand Adam's response on this one.

He understands what he wrote, and therefore it must be OK for everyone else, even if they have to jump through hoops to do so.

Strikes me that it might be easier to change it so mere mortals dont have to decode it.

Keith

Keith Drage
Lucent Technologies
Tel: +44 1793 776249
Email: [email-masked] 

> -----Original Message-----
> From: Adam Roach [mailto:[email-masked]]
> Sent: 29 April 2003 05:31
> To: 'Michael Hammer'; Adam Roach
> Cc: 'Drage, Keith (Keith)'; [email-masked]
> Subject: RE: [Simple] WGLC: draft-ietf-simple-event-list-01.txt
> 
> 
> -----Original Message-----
> From: Michael Hammer [mailto:[email-masked]]
> 
> > RFC 2119 is attempting to add strength and remove ambiguity
> > to the existing plain English word.  I find it confusing when
> > "must" doesn't always mean "must".  That is to Clintonesque for me.
> ...
> > Otherwise, I am always left wondering if a MUST was inadvertently
> > left as must.  Without consistent usage of words, writing clear
> > requirements documents is nearly impossible.
> 
> Okay, well, the hints for this case are:
> 
> a) The section under discussion is an example, and
> b) The section has a rather rambling disclaimer
>    pointing out in unambiguous terms that it, in its
>    entirety, is completely non-normative.
> 
> Further, the statement under discussion is taking
> a normative statement of the form "A MUST do Y",
> and substituting the values from the example scenario
> into A and Y. Even if it is interpreted by someone
> who can't pick up on the treble-clue of "this is
> lowercase," "this is in an example," and "this section
> is clearly marked as non-normative," there is no harm
> to be done, as it merely restates a normative clause
> from elsewhere in the document.
> 
> /a
> 
_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple